| Openscape Voice V10 - SOAP Interface Documentation

Classes | Functions
Operator Enum

Operator Enum Definitions and Methods. More...

## Classes
class | QueryOperatorEnumData
| Query Operator Enum Data. More...
class | ListOperatorEnumData
| List Operator Enum Data. More...
class | unsp__CreateOperatorEnumRequest
| Create Operator Enum request. More...
struct | unsp__CreateOperatorEnumResult
| Create Operator Enum result. More...
class | unsp__ListOperatorEnumRequest
| List Operator Enum request. More...
class | unsp__ListOperatorEnum
| List Operator Enum data. More...
class | unsp__ArrayOfListOperatorEnum
| Array of Operator Enum names. More...
struct | unsp__ListOperatorEnumResult
| List Operator Enum result. More...
class | unsp__ModifyOperatorEnumRequest
| Modify Operator Enum request. More...
struct | unsp__ModifyOperatorEnumResult
| Modify Operator Enum result. More...
class | unsp__QueryOperatorEnumRequest
| Query Operator Enum request. More...
class | unsp__OperatorEnum
| Query Operator Enum data. More...
class | unsp__ArrayOfOperatorEnum
| Array of Operator Enums. More...
struct | unsp__OperatorEnumResult
| Query Operator Enum result. More...
class | unsp__RemoveOperatorEnumRequest
| Remove Operator Enum request. More...
struct | unsp__RemoveOperatorEnumResult
| Remove Operator Enum result. More...

## Functions
int | unsp__createOperatorEnum (unsp__CreateOperatorEnumRequest CreateOperatorEnumRequest, struct unsp__CreateOperatorEnumResult *CreateOperatorEnumResult)
| Creates an Operator Enum. More...
int | unsp__listOperatorEnum (unsp__ListOperatorEnumRequest ListOperatorEnumRequest, struct unsp__ListOperatorEnumResult *ListOperatorEnumResult)
| List Operator Enums. More...
int | unsp__modifyOperatorEnum (unsp__ModifyOperatorEnumRequest ModifyOperatorEnumRequest, struct unsp__ModifyOperatorEnumResult *ModifyOperatorEnumResult)
| Modifies an Operator Enum. More...
int | unsp__queryOperatorEnum (unsp__QueryOperatorEnumRequest QueryOperatorEnumRequest, struct unsp__OperatorEnumResult *QueryOperatorEnumResult)
| Queries Operator Enums. More...
int | unsp__removeOperatorEnum (unsp__RemoveOperatorEnumRequest RemoveOperatorEnumRequest, struct unsp__RemoveOperatorEnumResult *RemoveOperatorEnumResult)
| Removes an Operator Enum. More...

## Detailed Description

Operator Enum Definitions and Methods.

The operator ENUM feature provides support for the DNS-based architecture and protocol for mapping an E.164-compliant number into a service-specific URI, which is dictated by IETF RFC 3761. This mechanism is only applicable for interswitch connection with SIP gateways.

## Function Documentation

## ◆ unsp__createOperatorEnum()

unsp__createOperatorEnum | ( | unsp__CreateOperatorEnumRequest | CreateOperatorEnumRequest,
|  | struct unsp__CreateOperatorEnumResult * | CreateOperatorEnumResult
| ) |  |

Creates an Operator Enum.

Parameters

  CreateOperatorEnumRequest | API request
  CreateOperatorEnumResult | API result MP2 command: OperatorEnum [Attributes]

## ◆ unsp__listOperatorEnum()

api unsp__listOperatorEnum | ( | unsp__ListOperatorEnumRequest | ListOperatorEnumRequest,
|  | struct unsp__ListOperatorEnumResult * | ListOperatorEnumResult
| ) |  |

List Operator Enums.

Parameters

  ListOperatorEnumRequest | API request
  ListOperatorEnumResult | API result

## ◆ unsp__modifyOperatorEnum()

unsp__modifyOperatorEnum | ( | unsp__ModifyOperatorEnumRequest | ModifyOperatorEnumRequest,
|  | struct unsp__ModifyOperatorEnumResult * | ModifyOperatorEnumResult
| ) |  |

Modifies an Operator Enum.

Parameters

  ModifyOperatorEnumRequest | API request
  ModifyOperatorEnumResult | API result MP2 command: ModifyOperatorEnum [Attributes]

## ◆ unsp__queryOperatorEnum()

unsp__queryOperatorEnum | ( | unsp__QueryOperatorEnumRequest | QueryOperatorEnumRequest,
|  | struct unsp__OperatorEnumResult * | QueryOperatorEnumResult
| ) |  |

Queries Operator Enums.

Parameters

  QueryOperatorEnumRequest | API request
  QueryOperatorEnumResult | API result

## ◆ unsp__removeOperatorEnum()

api unsp__removeOperatorEnum | ( | unsp__RemoveOperatorEnumRequest | RemoveOperatorEnumRequest,
|  | struct unsp__RemoveOperatorEnumResult * | RemoveOperatorEnumResult
| ) |  |

Removes an Operator Enum.

Parameters

  RemoveOperatorEnumRequest | API request
  RemoveOperatorEnumResult | API result MP2 command: RemoveOperatorEnum [Attributes]